MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions | Variables
ClientInternal.hxx File Reference
`#include "check.h"`
`#include "Client.hxx"`
`#include "command/CommandResult.hxx"`
`#include <chrono>`
Include dependency graph for ClientInternal.hxx:

Go to the source code of this file.

## Functions
CommandResult | client_process_line (Client &client, char *line)

## Variables
static constexpr unsigned | CLIENT_MAX_SUBSCRIPTIONS = 16
static constexpr unsigned | CLIENT_MAX_MESSAGES = 64
const class Domain | client_domain
std::chrono::steady_clock::duration | client_timeout
size_t | client_max_command_list_size
size_t | client_max_output_buffer_size

## Function Documentation

CommandResult client_process_line | ( | Client & | client,
|  | char * | line
| ) |  |

## Variable Documentation

const class Domain client_domain

size_t client_max_command_list_size

constexpr unsigned CLIENT_MAX_MESSAGES = 64
| static

Definition at line 30 of file ClientInternal.hxx.

size_t client_max_output_buffer_size

constexpr unsigned CLIENT_MAX_SUBSCRIPTIONS = 16
| static

Definition at line 29 of file ClientInternal.hxx.

std::chrono::steady_clock::duration client_timeout